frame

Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Sign In

Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Running ncappzoo on ubuntu ver. 17.10

I started to use Movidius on ubuntu ver. 17.10,
The error that I get is on: skimage.io.imshow( IMAGE_PATH )
Dispite adding thIs line:
according to the not of "AshwinVijayakumar edited November 2017 "

amirm@t460s:~/~workspace/ncappzoo/apps/image-classifier$ make run
\making ilsvrc12
(cd ../../data/ilsvrc12; make;)
make[1]: Entering directory '/home/amirm/~workspace/ncappzoo/data/ilsvrc12'
make[1]: Leaving directory '/home/amirm/~workspace/ncappzoo/data/ilsvrc12'

making gendernet
(cd ../../caffe/GenderNet; make compile;)
make[1]: Entering directory '/home/amirm/~workspace/ncappzoo/caffe/GenderNet'
make[2]: Entering directory '/home/amirm/~workspace/ncappzoo/data/age_gender'
make[2]: Leaving directory '/home/amirm/~workspace/ncappzoo/data/age_gender'
test -f deploy.prototxt || (wget -P . https://raw.githubusercontent.com/GilLevi/AgeGenderDeepLearning/master/gender_net_definitions/deploy.prototxt; awk 'NR <2 {print}' < deploy.prototxt > temp; cat input_shape.prototxt >> temp; awk 'NR > 6 {print}' < deploy.prototxt >> temp; mv temp deploy.prototxt)
test -f gender_net.caffemodel || wget -P . -N https://github.com/GilLevi/AgeGenderDeepLearning/raw/master/models/gender_net.caffemodel
mvNCCompile -w gender_net.caffemodel -s 12 deploy.prototxt
mvNCCompile v02.00, Copyright @ Movidius Ltd 2016

/usr/local/lib/python3.6/dist-packages/skimage/init.py:60: DeprecationWarning: the imp module is deprecated in favour of importlib; see the module's documentation for alternative uses
import imp
/usr/local/bin/ncsdk/Controllers/FileIO.py:52: UserWarning: You are using a large type. Consider reducing your data sizes for best performance
"Consider reducing your data sizes for best performance\033[0m")
make[1]: Leaving directory '/home/amirm/~workspace/ncappzoo/caffe/GenderNet'

making googlenet
(cd ../../caffe/GoogLeNet; make compile;)
make[1]: Entering directory '/home/amirm/~workspace/ncappzoo/caffe/GoogLeNet'

making prereqs
(cd ../../data/ilsvrc12; make)
make[2]: Entering directory '/home/amirm/~workspace/ncappzoo/data/ilsvrc12'
make[2]: Leaving directory '/home/amirm/~workspace/ncappzoo/data/ilsvrc12'

making prototxt
Prototxt file already exists

making caffemodel
caffemodel file already exists

making compile
mvNCCompile -w bvlc_googlenet.caffemodel -s 12 deploy.prototxt
mvNCCompile v02.00, Copyright @ Movidius Ltd 2016

/usr/local/lib/python3.6/dist-packages/skimage/init.py:60: DeprecationWarning: the imp module is deprecated in favour of importlib; see the module's documentation for alternative uses
import imp
Layer inception_3b/1x1 forced to im2col_v2, because its output is used in concat
Layer inception_3b/pool_proj forced to im2col_v2, because its output is used in concat
Layer inception_4a/1x1 forced to im2col_v2, because its output is used in concat
Layer inception_4a/pool_proj forced to im2col_v2, because its output is used in concat
Layer inception_4b/1x1 forced to im2col_v2, because its output is used in concat
Layer inception_4b/pool_proj forced to im2col_v2, because its output is used in concat
Layer inception_4c/1x1 forced to im2col_v2, because its output is used in concat
Layer inception_4c/pool_proj forced to im2col_v2, because its output is used in concat
Layer inception_4d/1x1 forced to im2col_v2, because its output is used in concat
Layer inception_4d/pool_proj forced to im2col_v2, because its output is used in concat
Layer inception_4e/1x1 forced to im2col_v2, because its output is used in concat
Layer inception_4e/pool_proj forced to im2col_v2, because its output is used in concat
Layer inception_5a/1x1 forced to im2col_v2, because its output is used in concat
Layer inception_5a/pool_proj forced to im2col_v2, because its output is used in concat
Layer inception_5b/1x1 forced to im2col_v2, because its output is used in concat
Layer inception_5b/pool_proj forced to im2col_v2, because its output is used in concat
/usr/local/bin/ncsdk/Controllers/FileIO.py:52: UserWarning: You are using a large type. Consider reducing your data sizes for best performance
"Consider reducing your data sizes for best performance\033[0m")
make[1]: Leaving directory '/home/amirm/~workspace/ncappzoo/caffe/GoogLeNet'

making squeezenet
(cd ../../caffe/SqueezeNet; make compile;)
make[1]: Entering directory '/home/amirm/~workspace/ncappzoo/caffe/SqueezeNet'

making prereqs
(cd ../../data/ilsvrc12; make)
make[2]: Entering directory '/home/amirm/~workspace/ncappzoo/data/ilsvrc12'
make[2]: Leaving directory '/home/amirm/~workspace/ncappzoo/data/ilsvrc12'
LICENSE file already exists

making prototxt
Prototxt file already exists

making caffemodel
caffemodel file already exists

making compile
mvNCCompile -w squeezenet_v1.0.caffemodel -s 12 deploy.prototxt
mvNCCompile v02.00, Copyright @ Movidius Ltd 2016

/usr/local/lib/python3.6/dist-packages/skimage/init.py:60: DeprecationWarning: the imp module is deprecated in favour of importlib; see the module's documentation for alternative uses
import imp
/usr/local/bin/ncsdk/Controllers/FileIO.py:52: UserWarning: You are using a large type. Consider reducing your data sizes for best performance
"Consider reducing your data sizes for best performance\033[0m")
make[1]: Leaving directory '/home/amirm/~workspace/ncappzoo/caffe/SqueezeNet'

making alexet
(cd ../../caffe/AlexNet; make compile;)
make[1]: Entering directory '/home/amirm/~workspace/ncappzoo/caffe/AlexNet'

making prereqs
(cd ../../data/ilsvrc12; make)
make[2]: Entering directory '/home/amirm/~workspace/ncappzoo/data/ilsvrc12'
make[2]: Leaving directory '/home/amirm/~workspace/ncappzoo/data/ilsvrc12'
chmod +x run.py

making prototxt
Prototxt file already exists

making caffemodel
caffemodel file already exists

making compile
mvNCCompile -w bvlc_alexnet.caffemodel -s 12 deploy.prototxt
mvNCCompile v02.00, Copyright @ Movidius Ltd 2016

/usr/local/lib/python3.6/dist-packages/skimage/init.py:60: DeprecationWarning: the imp module is deprecated in favour of importlib; see the module's documentation for alternative uses
import imp
/usr/local/bin/ncsdk/Controllers/FileIO.py:52: UserWarning: You are using a large type. Consider reducing your data sizes for best performance
"Consider reducing your data sizes for best performance\033[0m")
make[1]: Leaving directory '/home/amirm/~workspace/ncappzoo/caffe/AlexNet'

Running image-classifier.py
python3 image-classifier.py
/usr/local/lib/python3.6/dist-packages/skimage/init.py:60: DeprecationWarning: the imp module is deprecated in favour of importlib; see the module's documentation for alternative uses
import imp
/usr/local/lib/python3.6/dist-packages/skimage/transform/_warps.py:84: UserWarning: The default mode, 'constant', will be changed to 'reflect' in skimage 0.15.
warn("The default mode, 'constant', will be changed to 'reflect' in "

------- predictions --------
prediction04 0 is n02123159 tiger cat
prediction04 1 is n02123045 tabby, tabby cat
prediction04 2 is n02124075 Egyptian cat
prediction04 3 is n02127052 lynx, catamount
Traceback (most recent call last):
File "image-classifier.py", line 98, in
skimage.io.imshow( IMAGE_PATH )
File "/usr/local/lib/python3.6/dist-packages/skimage/io/_io.py", line 156, in imshow
return call_plugin('imshow', arr, plugin=plugin, **plugin_args)
File "/usr/local/lib/python3.6/dist-packages/skimage/io/manage_plugins.py", line 198, in call_plugin
raise RuntimeError(msg % kind)
RuntimeError: No suitable plugin registered for imshow.

You may load I/O plugins with the skimage.io.use_plugin command. A list of all available plugins are shown in the skimage.io docstring.
Makefile:32: recipe for target 'run' failed
make: *** [run] Error 1
amirm@t460s:~/~workspace/ncappzoo/apps/image-classifier$

Comments

  • 7 Comments sorted by Votes Date Added
  • @amazinani Did you encounter any issues while running the install script on Ubuntu 17? It may seem like you may be missing the scikit-image software package and I'm not sure if this was a side effect of installing the SDK on Ubuntu 17. If this is the case, then you may want to try installing scikit-image by using the following command pip3 install scikit-image.

  • Thanks Tome,

    Is it posible that ubuntu ver. 17 has a problem?
    I am using a separate partition (25GB) ubuntus boot able on my dual boot (Win-10 64-bit) laptop. all the other function of Linux works fine.
    Should I remeve and reinstall ubuntu?

    Here are what I did:

    1- I installed scikit-image and reboot the laptop just in case; no improvement so far.

    2- Then went through ubuntu boot-up and selected, Linux image generic [recovery mode]
    It fixed 5 directories, but the problem is there.

    3- next I tried:
    sudo apt-get install --reinstall ubuntu-desktop
    it did not fixed my problem, it just update one file, but still the problem is there.

    The following is the terminal result:

    ------- predictions --------
    prediction04 0 is n02123159 tiger cat
    prediction04 1 is n02123045 tabby, tabby cat
    prediction04 2 is n02124075 Egyptian cat
    prediction04 3 is n02127052 lynx, catamount
    Traceback (most recent call last):
    File "image-classifier.py", line 98, in
    skimage.io.imshow( IMAGE_PATH )
    File "/home/amirm/.local/lib/python3.6/site-packages/skimage/io/_io.py", line 156, in imshow
    return call_plugin('imshow', arr,
    plugin=plugin, **plugin_args)
    File "/home/amirm/.local/lib/python3.6/site-packages/skimage/io/manage_plugins.py", line 198, in call_plugin
    raise RuntimeError(msg % kind)
    RuntimeError: No suitable plugin registered for imshow.

    You may load I/O plugins with the skimage.io.use_plugin command. A list of all available plugins are shown in the skimage.io docstring.
    Makefile:32: recipe for target 'run' failed
    make: *** [run] Error 1

  • @amazinani Try using this fix mentioned by Karl at https://ncsforum.movidius.com/discussion/356/steps-for-installtion-for-raspberry-pi-3-new-sdk/p1. He mentions that the command apt-get install python3-tk worked for him.

  • Hi Tome,
    I run the "apt-get install python3-tk"
    and the terminal shows that python3-tk is already there.

    I install the gnome-desktop and the ncappzoo is working now!
    my guess is the permission for some directory changed through gnome-desktop.

    Would you please let me know if this gnome-desktop is safe?

    Regards, Amir

  • worked for me as well :)
    Why ncs sdk doesn't install it?

  • worked for me as well.

Sign In or Register to comment.